/**
 * Copyright 2005-2010 Noelios Technologies.
 * 
 * The contents of this file are subject to the terms of one of the following
 * open source licenses: LGPL 3.0 or LGPL 2.1 or CDDL 1.0 or EPL 1.0 (the
 * "Licenses"). You can select the license that you prefer but you may not use
 * this file except in compliance with one of these Licenses.
 * 
 * You can obtain a copy of the LGPL 3.0 license at
 * http://www.opensource.org/licenses/lgpl-3.0.html
 * 
 * You can obtain a copy of the LGPL 2.1 license at
 * http://www.opensource.org/licenses/lgpl-2.1.php
 * 
 * You can obtain a copy of the CDDL 1.0 license at
 * http://www.opensource.org/licenses/cddl1.php
 * 
 * You can obtain a copy of the EPL 1.0 license at
 * http://www.opensource.org/licenses/eclipse-1.0.php
 * 
 * See the Licenses for the specific language governing permissions and
 * limitations under the Licenses.
 * 
 * Alternatively, you can obtain a royalty free commercial license with less
 * limitations, transferable or non-transferable, directly at
 * http://www.noelios.com/products/restlet-engine
 * 
 * Restlet is a registered trademark of Noelios Technologies.
 */

package odatademo;


import java.util.List;
import odatademo.Product;

/**
* Generated by the generator tool for the OData extension for the Restlet framework.<br>
*
* @see <a href="http://services.odata.org/OData/OData.svc/$metadata">Metadata of the target OData service</a>
*
*/
public class Supplier {

    private int concurrency;
    private int id;
    private String name;
    private Address address;
    private List<Product> products;

    /**
     * Constructor without parameter.
     * 
     */
    public Supplier() {
        super();
    }

    /**
     * Constructor.
     * 
     * @param id
     *            The identifiant value of the entity.
     */
    public Supplier(int id) {
        this();
        this.id = id;
    }

   /**
    * Returns the value of the "concurrency" attribute.
    *
    * @return The value of the "concurrency" attribute.
    */
   public int getConcurrency() {
      return concurrency;
   }
   /**
    * Returns the value of the "id" attribute.
    *
    * @return The value of the "id" attribute.
    */
   public int getId() {
      return id;
   }
   /**
    * Returns the value of the "name" attribute.
    *
    * @return The value of the "name" attribute.
    */
   public String getName() {
      return name;
   }
   /**
    * Returns the value of the "address" attribute.
    *
    * @return The value of the "address" attribute.
    */
   public Address getAddress() {
      return address;
   }
   /**
    * Returns the value of the "products" attribute.
    *
    * @return The value of the "products" attribute.
    */
   public List<Product> getProducts() {
      return products;
   }
   
   /**
    * Sets the value of the "concurrency" attribute.
    *
    * @param concurrency
    *     The value of the "concurrency" attribute.
    */
   public void setConcurrency(int concurrency) {
      this.concurrency = concurrency;
   }
   /**
    * Sets the value of the "id" attribute.
    *
    * @param id
    *     The value of the "id" attribute.
    */
   public void setId(int id) {
      this.id = id;
   }
   /**
    * Sets the value of the "name" attribute.
    *
    * @param name
    *     The value of the "name" attribute.
    */
   public void setName(String name) {
      this.name = name;
   }
   /**
    * Sets the value of the "address" attribute.
    *
    * @param address
    *     The value of the "address" attribute.
    */
   public void setAddress(Address address) {
      this.address = address;
   }
   
   /**
    * Sets the value of the "products" attribute.
    *
    * @param products"
    *     The value of the "products" attribute.
    */
   public void setProducts(List<Product> products) {
      this.products = products;
   }

}